Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlNumericColumn Class Reference

represents a Mssql-specific numeric column More...

Inheritance diagram for MssqlSqlUtilBase::MssqlNumericColumn:
[legend]

## Public Member Functions

| constructor (string n, string nt, __7_ string qt, int sz, bool nul, __7_ string dv, __7_ string cm, softint bs, softint scale)
| creates the column from the supplied arguments
Public Member Functions inherited from MssqlSqlUtilBase::MssqlColumn
| constructor (string n, string nt, __7_ string qt, int sz, bool nul, __7_ string dv, __7_ string cm, softint bs, __7_ int scale)
| creates the column from the supplied arguments
softlist | getAddColumnSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table
string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, __7_ hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column

## Additional Inherited Members

Public Attributes inherited from MssqlSqlUtilBase::MssqlColumn
int | byte_size
| byte size of the column
Protected Member Functions inherited from MssqlSqlUtilBase::MssqlColumn
| constructor ()
| empty constructor for subclasses
bool | equalImpl (AbstractColumn c)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a Mssql-specific numeric column